package com.zehong.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 密闭空间和人员密集场所对象 t_confined_space
 *
 * @author zehong
 * @date 2026-03-18
 */
public class TConfinedSpace extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 企业id */
    @Excel(name = "企业id")
    private String enterpriseId;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 统一社会信用代码 */
    @Excel(name = "统一社会信用代码")
    private String socialCreditCode;

    /** 场所/设施名称 */
    @Excel(name = "场所/设施名称")
    private String venueFacility;

    /** 场所分类(1,密闭空间;2,人员密集场所) */
    @Excel(name = "场所分类(1,密闭空间;2,人员密集场所)")
    private String venueType;

    /** 具体位置 */
    private String specificLocation;

    /** 面积/容积(平方米或立方米) */
    @Excel(name = "面积/容积(平方米或立方米)")
    private String area;

    /** 主要危险因素 */
    private String riskFactors;

    /** 作业/人员频次 */
    private String workFrequency;

    /** 警示标识(1,已设置;2,未设置) */
    @Excel(name = "警示标识(1,已设置;2,未设置)")
    private String warningSign;

    /** 主要应急器材 */
    private String emergencyEquipment;

    /** 现场负责人 */
    private String siteSupervisor;

    /** 负责人电话 */
    private String supervisorPhone;

    /** 最近检查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "最近检查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastDate;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 关联设备类型  3 密闭空间和人员密集场所*/
    private String relationDeviceType;

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getRelationDeviceType() {
        return relationDeviceType;
    }

    public void setRelationDeviceType(String relationDeviceType) {
        this.relationDeviceType = relationDeviceType;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setEnterpriseId(String enterpriseId)
    {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseId()
    {
        return enterpriseId;
    }
    public void setEnterpriseName(String enterpriseName)
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName()
    {
        return enterpriseName;
    }
    public void setSocialCreditCode(String socialCreditCode)
    {
        this.socialCreditCode = socialCreditCode;
    }

    public String getSocialCreditCode()
    {
        return socialCreditCode;
    }
    public void setVenueFacility(String venueFacility)
    {
        this.venueFacility = venueFacility;
    }

    public String getVenueFacility()
    {
        return venueFacility;
    }
    public void setVenueType(String venueType)
    {
        this.venueType = venueType;
    }

    public String getVenueType()
    {
        return venueType;
    }
    public void setSpecificLocation(String specificLocation)
    {
        this.specificLocation = specificLocation;
    }

    public String getSpecificLocation()
    {
        return specificLocation;
    }
    public void setArea(String area)
    {
        this.area = area;
    }

    public String getArea()
    {
        return area;
    }
    public void setRiskFactors(String riskFactors)
    {
        this.riskFactors = riskFactors;
    }

    public String getRiskFactors()
    {
        return riskFactors;
    }
    public void setWorkFrequency(String workFrequency)
    {
        this.workFrequency = workFrequency;
    }

    public String getWorkFrequency()
    {
        return workFrequency;
    }
    public void setWarningSign(String warningSign)
    {
        this.warningSign = warningSign;
    }

    public String getWarningSign()
    {
        return warningSign;
    }
    public void setEmergencyEquipment(String emergencyEquipment)
    {
        this.emergencyEquipment = emergencyEquipment;
    }

    public String getEmergencyEquipment()
    {
        return emergencyEquipment;
    }
    public void setSiteSupervisor(String siteSupervisor)
    {
        this.siteSupervisor = siteSupervisor;
    }

    public String getSiteSupervisor()
    {
        return siteSupervisor;
    }
    public void setSupervisorPhone(String supervisorPhone)
    {
        this.supervisorPhone = supervisorPhone;
    }

    public String getSupervisorPhone()
    {
        return supervisorPhone;
    }
    public void setLastDate(Date lastDate)
    {
        this.lastDate = lastDate;
    }

    public Date getLastDate()
    {
        return lastDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("enterpriseId", getEnterpriseId())
                .append("enterpriseName", getEnterpriseName())
                .append("socialCreditCode", getSocialCreditCode())
                .append("venueFacility", getVenueFacility())
                .append("venueType", getVenueType())
                .append("specificLocation", getSpecificLocation())
                .append("area", getArea())
                .append("riskFactors", getRiskFactors())
                .append("workFrequency", getWorkFrequency())
                .append("warningSign", getWarningSign())
                .append("emergencyEquipment", getEmergencyEquipment())
                .append("siteSupervisor", getSiteSupervisor())
                .append("supervisorPhone", getSupervisorPhone())
                .append("lastDate", getLastDate())
                .append("createTime", getCreateTime())
                .toString();
    }
}